INSERT INTO Integrated_Arrival
SELECT 
    a1s.FlightNumber AS FlightNumber,
    a1s.EndDate AS ScheduledArrivalDate,
    a1f.ArrivalDate AS ActualArrivalDate,
    a1s.ArrivalTime AS ScheduledArrivalTime,
    a1f.ArrivalTime AS ActualArrivalTime,
    a3d.GateTime AS GateTime,
    a3a.LandingTime AS LandingTime,
    a1f.ArrivalGate AS ArrivalAirport,
    a1f.ArrivalGate AS ArrivalGate
FROM Airline1_Flight AS a1f
JOIN Airline1_Schedule AS a1s ON a1f.FlightId = a1s.FlightId
JOIN Airport3_Arrivals AS a3a ON a1s.FlightNumber = a3a.FlightNumber
JOIN Airport3_Departures AS a3d ON a1s.FlightNumber = a3d.FlightNumber;
