INSERT INTO Integrated_Arrival
SELECT 
    a3a.Airline AS Airline,
    a2f.FlightNumber AS FlightNumber,
    a2f.ScheduledArrivalDate AS ScheduledArrivalDate,
    a3d.GateTime AS DepatureGateTime,
    a3a.LandingTime AS LandingTime, 
    a3a.Gate AS ArrivalGate,
    a2f.ScheduledArrivalTime AS ScheduledArrivalTime,
    a2f.ActualArrivalTime AS ActualArrivalTime,
    a3a.Actual AS ActualArrivalDate
FROM Airline2_Flight a2f
JOIN Airport3_Arrivals a3a ON a2f.FlightNumber = a3a.FlightNumber
JOIN Airport3_Departures AS a3d ON a2f.FlightNumber = a3d.FlightNumber;

